//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Data/DataViewUtils.h
//! @brief     Defines namespace GUI::Model::DataViewUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_DATA_DATAVIEWUTILS_H
#define BORNAGAIN_GUI_MODELS_DATA_DATAVIEWUTILS_H

#include <QString>
#include <memory>

class DataItem;
class Data1DViewItem;
class JobItem;
template <class T> class OutputData;

namespace GUI::Model::DataViewUtils {
void updateAxesTitle(Data1DViewItem* view_item);

std::unique_ptr<OutputData<double>> getTranslatedData(Data1DViewItem* view_item,
                                                      DataItem* data_item);
}; // namespace GUI::Model::DataViewUtils

#endif // BORNAGAIN_GUI_MODELS_DATA_DATAVIEWUTILS_H
