//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Fit/FitParameterHelper.h
//! @brief     Defines namespace FitParameterHelper
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_FIT_FITPARAMETERHELPER_H
#define BORNAGAIN_GUI_MODELS_FIT_FITPARAMETERHELPER_H

#include <QStringList>

class ParameterItem;
class FitParameterItem;
class FitParameterContainerItem;

//! Convenience static methods to handle various fitting items in given JobItem.

namespace FitParameterHelper {

void createFitParameter(FitParameterContainerItem* container, ParameterItem* parameterItem);

void removeFromFitParameters(FitParameterContainerItem* container, ParameterItem* parameterItem);
void addToFitParameter(FitParameterContainerItem* container, ParameterItem* parameterItem,
                       const QString& fitParName);

FitParameterItem* getFitParameterItem(FitParameterContainerItem* container,
                                      ParameterItem* parameterItem);

QStringList getFitParameterNames(FitParameterContainerItem* container);
QString getParameterItemPath(const ParameterItem* parameterItem);
ParameterItem* getParameterItem(FitParameterContainerItem* container, const QString& link);

}; // namespace FitParameterHelper

#endif // BORNAGAIN_GUI_MODELS_FIT_FITPARAMETERHELPER_H
