//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Instrument/InstrumentLibrary.h
//! @brief     Defines class InstrumentLibrary
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_INSTRUMENT_INSTRUMENTLIBRARY_H
#define BORNAGAIN_GUI_MODELS_INSTRUMENT_INSTRUMENTLIBRARY_H

#include "GUI/Model/Instrument/InstrumentModel.h"

class InstrumentLibrary {
public:
    InstrumentLibrary();

    QString suggestName(const QString& name) const;

    //! Returns the new element
    InstrumentItem* add(const QString& name, const InstrumentItem& itemToCopy);
    bool isEmpty() const;
    QList<InstrumentItem*> instrumentItems() const;

    bool saveIfModified();
    bool load();

    InstrumentModel* model();

private:
    InstrumentModel m_model;
    bool m_modified;
};

#endif // BORNAGAIN_GUI_MODELS_INSTRUMENT_INSTRUMENTLIBRARY_H
