//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Job/ParameterTreeUtils.h
//! @brief     Defines namespace GUI::Model::ParameterTreeUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_JOB_PARAMETERTREEUTILS_H
#define BORNAGAIN_GUI_MODELS_JOB_PARAMETERTREEUTILS_H

#include <QPair>
#include <QString>
#include <functional>

class JobItem;
class SessionItem;
class ParameterItem;

//! The ParameterTreeBuilder namespace contains helper functions to create container
//! with ParameterItems. The ParameterItem appears in RealTimeView and provides real
//! time tuning of MultiLayerItem and InstrumentItem.

namespace GUI::Model::ParameterTreeUtils {

void createParameterTree(JobItem* jobItem);

} // namespace GUI::Model::ParameterTreeUtils

#endif // BORNAGAIN_GUI_MODELS_JOB_PARAMETERTREEUTILS_H
