//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Mapper/ComponentUtils.h
//! @brief     Defines namespace GUI::Model::ComponentUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_MAPPER_COMPONENTUTILS_H
#define BORNAGAIN_GUI_MODELS_MAPPER_COMPONENTUTILS_H

#include <QList>
#include <QStringList>

class SessionItem;

//! Contains collection of utility functions to support editing of SessionItem's components.

namespace GUI::Model::ComponentUtils {

//! Returns list of strings representing modelTypes suitable for editing in component editors.
const QStringList& propertyRelatedTypes();

//! Returns list of SessionItem's children suitable for editing in property editors.
QList<const SessionItem*> componentItems(const SessionItem& item);

} // namespace GUI::Model::ComponentUtils

#endif // BORNAGAIN_GUI_MODELS_MAPPER_COMPONENTUTILS_H
