//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Material/MaterialModelStore.h
//! @brief     Defines namespace GUI::Model::MaterialModelStore
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_MATERIAL_MATERIALMODELSTORE_H
#define BORNAGAIN_GUI_MODELS_MATERIAL_MATERIALMODELSTORE_H

class MaterialModel;

//! The MaterialModelStore holds an instance of the MaterialModel class

namespace GUI::Model::MaterialModelStore {

MaterialModel* materialModel();
void subscribe(MaterialModel* materialModel);
void unsubscribe(MaterialModel* materialModel);

} // namespace GUI::Model::MaterialModelStore

#endif // BORNAGAIN_GUI_MODELS_MATERIAL_MATERIALMODELSTORE_H
