//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Sample/ParticleCompositionItem.h
//! @brief     Defines class ParticleCompositionItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_SAMPLE_PARTICLECOMPOSITIONITEM_H
#define BORNAGAIN_GUI_MODELS_SAMPLE_PARTICLECOMPOSITIONITEM_H

#include "GUI/Model/Sample/ItemWithParticles.h"
#include "Sample/Particle/ParticleComposition.h"

class VectorItem;

class BA_CORE_API_ ParticleCompositionItem : public ItemWithParticles {
private:
    static constexpr auto T_PARTICLES{"Particle Tag"};

public:
    static constexpr auto M_TYPE{"ParticleComposition"};

    ParticleCompositionItem();

    std::unique_ptr<ParticleComposition> createParticleComposition() const;

    QVector<ItemWithParticles*> particles() const;
    void addParticle(ItemWithParticles* particle);
    void removeParticle(ItemWithParticles* particle);
};

#endif // BORNAGAIN_GUI_MODELS_SAMPLE_PARTICLECOMPOSITIONITEM_H
