//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Session/SessionGraphicsItem.h
//! @brief     Defines class SessionGraphicsItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_MODELS_SESSION_SESSIONGRAPHICSITEM_H
#define BORNAGAIN_GUI_MODELS_SESSION_SESSIONGRAPHICSITEM_H

#include "GUI/Model/Session/SessionItem.h"

class BA_CORE_API_ SessionGraphicsItem : public SessionItem {

private:
    static constexpr auto P_XPOS{"xpos"};
    static constexpr auto P_YPOS{"ypos"};

public:
    double xPos() const;
    void setXPos(double x_pos);
    static bool isXPosPropertyName(const QString& name);

    double yPos() const;
    void setYPos(double y_pos);
    static bool isYPosPropertyName(const QString& name);

protected:
    explicit SessionGraphicsItem(const QString& model_type);
};

#endif // BORNAGAIN_GUI_MODELS_SESSION_SESSIONGRAPHICSITEM_H
