//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Util/ActionFactory.cpp
//! @brief     Implements class ActionFactory
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Util/ActionFactory.h"
#include <QAction>

QAction* ActionFactory::createRemoveAction(QObject* parent, const QString& what,
                                           std::function<void()> slot)
{
    auto* removeAction = new QAction(parent);
    removeAction->setText("Remove");
    removeAction->setIcon(QIcon(":/images/delete.svg"));
    removeAction->setIconText("Remove");
    removeAction->setToolTip("Remove " + what);

    if (slot)
        QObject::connect(removeAction, &QAction::triggered, slot);

    return removeAction;
}
