//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Util/ItemFileNameUtils.h
//! @brief     Defines namespace GUI::Model::FilenameUtils
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_UTILS_ITEMFILENAMEUTILS_H
#define BORNAGAIN_GUI_UTILS_ITEMFILENAMEUTILS_H

#include <QString>

//! Contains set of convenience methods for JobItem and its children.

namespace GUI::Model::FilenameUtils {

QString jobResultsFileName(const QString& itemName);

QString jobReferenceFileName(const QString& itemName);

QString jobNativeDataFileName(const QString& id);

QString realDataFileName(const QString& dataName);

QString nativeDataFileName(const QString& dataName);

QString instrumentDataFileName(const QString& id);

QStringList nonXMLFileNameFilters();

} // namespace GUI::Model::FilenameUtils

#endif // BORNAGAIN_GUI_UTILS_ITEMFILENAMEUTILS_H
