//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Util/OutputDataUtils.cpp
//! @brief     Implements OutputDataUtils namespace
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Util/OutputDataUtils.h"
#include "Device/Data/OutputData.h"

std::unique_ptr<OutputData<double>> GUI::Util::Output::binifyAxes(const OutputData<double>& data)
{
    std::unique_ptr<OutputData<double>> result(new OutputData<double>);
    for (size_t i = 0; i < data.rank(); ++i) {
        const IAxis& axis = data.axis(i);
        result->addAxis(FixedBinAxis(axis.axisName(), axis.size(), 0., axis.size()));
    }
    result->setRawDataVector(data.getRawDataVector());

    return result;
}
