//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Util/String.h
//! @brief     Defines functions from namespace GUI::Util::String
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_UTILS_STRING_H
#define BORNAGAIN_GUI_UTILS_STRING_H

#include <QString>

namespace GUI::Util::String {

QString withTildeHomePath(const QString& path);

QStringList fromStdStrings(const std::vector<std::string>& container);

QString readTextFile(const QString& fileName);

} // namespace GUI::Util::String

#endif // BORNAGAIN_GUI_UTILS_STRING_H
